VTK: vtkOpenGLContextDevice2D::Private Class Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkOpenGLContextDevice2D::Private Class Reference

`#include <vtkOpenGLContextDevice2DPrivate.h>`

Collaboration diagram for vtkOpenGLContextDevice2D::Private:
[legend]

## Public Member Functions
| Private ()
| ~Private ()
void | SaveGLState (vtkOpenGLState *ostate, bool colorBuffer=false)
void | RestoreGLState (vtkOpenGLState *ostate, bool colorBuffer=false)
float * | TexCoords (float *f, int n)
vtkVector2i | FindPowerOfTwo (const vtkVector2i &size)
GLuint | TextureFromImage (vtkImageData *image, vtkVector2f &texCoords)
GLuint | TextureFromImage (vtkImageData *image)

## Public Attributes
vtkTexture * | Texture
unsigned int | TextureProperties
vtkTexture * | SpriteTexture
bool | SavedDepthTest
bool | SavedStencilTest
bool | SavedBlend
GLint | SavedDrawBuffer
GLfloat | SavedClearColor [4]
int | TextCounter
vtkVector2i | Dim
vtkVector2i | Offset
bool | GLExtensionsLoaded
bool | GLSL
bool | PowerOfTwoTextures
vtkOpenGLContextDeviceBufferObjectBuilder | BufferObjectBuilder
vtkTextureImageCache< UTF8TextPropertyKey > | TextTextureCache
| Cache for text images. More...

## Detailed Description

Definition at line 265 of file vtkOpenGLContextDevice2DPrivate.h.

## Constructor & Destructor Documentation

## ◆ Private()

vtkOpenGLContextDevice2D::Private::Private | ( |  | ) |
| inline

Definition at line 268 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ ~Private()

vtkOpenGLContextDevice2D::Private::~Private | ( |  | ) |
| inline

Definition at line 285 of file vtkOpenGLContextDevice2DPrivate.h.

## Member Function Documentation

## ◆ SaveGLState()

void vtkOpenGLContextDevice2D::Private::SaveGLState | ( | vtkOpenGLState * | ostate,
|  | bool | colorBuffer = `false`
| ) |  |
| inline

Definition at line 299 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ RestoreGLState()

void vtkOpenGLContextDevice2D::Private::RestoreGLState | ( | vtkOpenGLState * | ostate,
|  | bool | colorBuffer = `false`
| ) |  |
| inline

Definition at line 317 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ TexCoords()

float* vtkOpenGLContextDevice2D::Private::TexCoords | ( | float * | f,
|  | int | n
| ) |  |
| inline

Definition at line 337 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ FindPowerOfTwo()

vtkVector2i vtkOpenGLContextDevice2D::Private::FindPowerOfTwo | ( | const vtkVector2i & | size | ) |
| inline

Definition at line 382 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ TextureFromImage() [1/2]

GLuint vtkOpenGLContextDevice2D::Private::TextureFromImage | ( | vtkImageData * | image,
|  | vtkVector2f & | texCoords
| ) |  |
| inline

Definition at line 395 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ TextureFromImage() [2/2]

GLuint vtkOpenGLContextDevice2D::Private::TextureFromImage | ( | vtkImageData * | image | ) |
| inline

Definition at line 452 of file vtkOpenGLContextDevice2DPrivate.h.

## Member Data Documentation

## ◆ Texture

vtkTexture* vtkOpenGLContextDevice2D::Private::Texture

Definition at line 481 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ TextureProperties

unsigned int vtkOpenGLContextDevice2D::Private::TextureProperties

Definition at line 482 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ SpriteTexture

vtkTexture* vtkOpenGLContextDevice2D::Private::SpriteTexture

Definition at line 483 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ SavedDepthTest

bool vtkOpenGLContextDevice2D::Private::SavedDepthTest

Definition at line 485 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ SavedStencilTest

bool vtkOpenGLContextDevice2D::Private::SavedStencilTest

Definition at line 486 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ SavedBlend

bool vtkOpenGLContextDevice2D::Private::SavedBlend

Definition at line 487 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ SavedDrawBuffer

GLint vtkOpenGLContextDevice2D::Private::SavedDrawBuffer

Definition at line 488 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ SavedClearColor

GLfloat vtkOpenGLContextDevice2D::Private::SavedClearColor[4]

Definition at line 489 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ TextCounter

int vtkOpenGLContextDevice2D::Private::TextCounter

Definition at line 491 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ Dim

vtkVector2i vtkOpenGLContextDevice2D::Private::Dim

Definition at line 492 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ Offset

vtkVector2i vtkOpenGLContextDevice2D::Private::Offset

Definition at line 493 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ GLExtensionsLoaded

bool vtkOpenGLContextDevice2D::Private::GLExtensionsLoaded

Definition at line 494 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ GLSL

bool vtkOpenGLContextDevice2D::Private::GLSL

Definition at line 495 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ PowerOfTwoTextures

bool vtkOpenGLContextDevice2D::Private::PowerOfTwoTextures

Definition at line 496 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ TextTextureCache

vtkTextureImageCache<UTF8TextPropertyKey> vtkOpenGLContextDevice2D::Private::TextTextureCache
| mutable

Cache for text images.

Generating texture for strings is expensive, we cache the textures here for a faster reuse.

Definition at line 503 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ BufferObjectBuilder

vtkOpenGLContextDeviceBufferObjectBuilder vtkOpenGLContextDevice2D::Private::BufferObjectBuilder

Definition at line 505 of file vtkOpenGLContextDevice2DPrivate.h.

The documentation for this class was generated from the following file:

- Rendering/ContextOpenGL2/vtkOpenGLContextDevice2DPrivate.h